package models

type HisHospitalOrder struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate    int64   `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                 int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                 int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	Number                string  `gorm:"column:number" json:"number" form:"number"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	MedfeeSumamt          float64 `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	OrderStatus           float64 `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PayWay                int64   `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice              float64 `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo             string  `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice         float64 `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice     float64 `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice          float64 `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice            float64 `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice float64 `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice          float64 `gorm:"column:private_price" json:"private_price" form:"private_price"`
	Creator               int64   `gorm:"column:creator" json:"creator" form:"creator"`
	MdtrtId               string  `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	MzNumber              string  `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`

	FaPiaoCode   string `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber string `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`

	IsPre     int64  `gorm:"column:is_pre" json:"is_pre" form:"is_pre"`
	Diagnosis string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
}

func (HisHospitalOrder) TableName() string {
	return "his_order"
}

type HisHospitalCheckRecord struct {
	ID                   int64            `gorm:"column:id" json:"id" form:"id"`
	Name                 string           `gorm:"column:name" json:"name" form:"name"`
	MedicalTreatmentType int64            `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	RecordDate           int64            `gorm:"column:record_date" json:"record_date" form:"record_date"`
	IdCardNo             string           `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	AdminUserId          int64            `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments          int64            `gorm:"column:departments" json:"departments" form:"departments"`
	UserOrgId            int64            `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64            `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64            `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64            `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId            int64            `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number               string           `gorm:"column:number" json:"number" form:"number"`
	Doctor               int64            `gorm:"column:doctor" json:"doctor" form:"doctor"`
	PsnNo                string           `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType          string           `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno               string           `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName              string           `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                 string           `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                 string           `gorm:"column:naty" json:"naty" form:"naty"`
	MedType              int64            `gorm:"column:med_type" json:"med_type" form:"med_type"`
	Brdy                 string           `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                string           `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo             string           `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo             string           `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	AdmBed               int64            `gorm:"column:adm_bed" json:"adm_bed" form:"adm_bed"`
	IdCardType           int64            `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	Diagnosis            string           `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType             int64            `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	MdtrtCertType        string           `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	InHosptialTime       string           `gorm:"column:in_hosptial_time" json:"in_hosptial_time" form:"in_hosptial_time"`
	OutHosptialTime      string           `gorm:"column:out_hosptial_time" json:"out_hosptial_time" form:"out_hosptial_time"`
	InHospitalStatus     int64            `gorm:"column:in_hospital_status" json:"in_hospital_status" form:"in_hospital_status"`
	Certificates         int64            `gorm:"column:certificates" json:"certificates" form:"certificates"`
	InsutypeType         string           `gorm:"column:insutype_type" json:"insutype_type" form:"insutype_type"`
	OutHospitalStatus    int64            `gorm:"column:out_hospital_status" json:"out_hospital_status" form:"out_hospital_status"`
	OutWay               int64            `gorm:"column:out_way" json:"out_way" form:"out_way"`
	Phone                string           `gorm:"column:phone" json:"phone" form:"phone"`
	HisHospitalOrder     HisHospitalOrder `gorm:"ForeignKey:MdtrtId,PatientId;AssociationForeignKey:Number,PatientId" json:"order"`
	BalanceAccountsType  int64            `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	InsuplcAdmdvs        string           `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
}

func (HisHospitalCheckRecord) TableName() string {
	return "his_hospital_check_record"
}

type HisHospitalCheckRecordTwo struct {
	ID                   int64  `gorm:"column:id" json:"id" form:"id"`
	Name                 string `gorm:"column:name" json:"name" form:"name"`
	MedicalTreatmentType int64  `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	RecordDate           int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	IdCardNo             string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	AdminUserId          int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments          int64  `gorm:"column:departments" json:"departments" form:"departments"`
	UserOrgId            int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId            int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number               string `gorm:"column:number" json:"number" form:"number"`
	Doctor               int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	PsnNo                string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType          string `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno               string `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName              string `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                 string `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                 string `gorm:"column:naty" json:"naty" form:"naty"`
	MedType              int64  `gorm:"column:med_type" json:"med_type" form:"med_type"`
	Brdy                 string `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                string `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo             string `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo             string `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	AdmBed               int64  `gorm:"column:adm_bed" json:"adm_bed" form:"adm_bed"`
	IdCardType           int64  `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	Diagnosis            string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	InsutypeType         string `gorm:"column:insutype_type" json:"insutype_type" form:"insutype_type"`
	SickType             int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	MdtrtCertType        string `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	InHosptialTime       string `gorm:"column:in_hosptial_time" json:"in_hosptial_time" form:"in_hosptial_time"`
	OutHosptialTime      string `gorm:"column:out_hosptial_time" json:"out_hosptial_time" form:"out_hosptial_time"`
	InHospitalStatus     int64  `gorm:"column:in_hospital_status" json:"in_hospital_status" form:"in_hospital_status"`
	Certificates         int64  `gorm:"column:certificates" json:"certificates" form:"certificates"`
	OutHospitalStatus    int64  `gorm:"column:out_hospital_status" json:"out_hospital_status" form:"out_hospital_status"`
	OutWay               int64  `gorm:"column:out_way" json:"out_way" form:"out_way"`
	Phone                string `gorm:"column:phone" json:"phone" form:"phone"`
	BalanceAccountsType  int64  `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	PsnType              int64  `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	InsuplcAdmdvs        string `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
}

func (HisHospitalCheckRecordTwo) TableName() string {
	return "his_hospital_check_record"
}

type NewCustom struct {
	DetItemFeeSumamt float64
	Cut              float64
	FeedetlSn        string
	Price            float64
	MedListCodg      string
	LmtUsedFlag      int64
	HospApprFlag     int64
	FeeOcurTime      string
}

type HisHospitalPrescription struct {
	ID                     int64                     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId              int64                     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate             int64                     `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId              int64                     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId           int64                     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status                 int64                     `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64                     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64                     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number                 string                    `gorm:"column:number" json:"number" form:"number"`
	Type                   int64                     `gorm:"column:type" json:"type" form:"type"`
	Doctor                 string                    `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator                int64                     `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier               int64                     `gorm:"column:modifier" json:"modifier" form:"modifier"`
	OrderStatus            int64                     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PreTime                int64                     `gorm:"column:pre_time" json:"pre_time" form:"pre_time"`
	BatchNumber            string                    `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	PrescriptionNumber     string                    `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	HisDoctorAdviceInfo    []*HisDoctorAdviceInfo    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"advices"`
	HisPrescriptionProject []*HisPrescriptionProject `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"project"`
	HisAdditionalCharge    []*HisAdditionalCharge    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"addition"`

	Total   string `gorm:"-" json:"total" form:"total"`
	PType   int64  `gorm:"column:p_type" json:"p_type" form:"p_type"`
	MedType string `gorm:"column:med_type" json:"med_type" form:"med_type"`
}

func (HisHospitalPrescription) TableName() string {
	return "his_prescription"
}

type HisHospitalOrderInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	OrderNumber      string  `gorm:"column:order_number" json:"order_number" form:"order_number"`
	UploadDate       int64   `gorm:"column:upload_date" json:"upload_date" form:"upload_date"`
	AdviceId         int64   `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt float64 `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt              float64 `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric             float64 `gorm:"column:pric" json:"pric" form:"pric"`
	PatientId        int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PricUplmtAmt     float64 `gorm:"column:pric_uplmt_amt" json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp      float64 `gorm:"column:selfpay_prop" json:"selfpay_prop" form:"selfpay_prop"`
	FulamtOwnpayAmt  float64 `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtAmt       float64 `gorm:"column:overlmt_amt" json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt    float64 `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	BasMednFlag      string  `gorm:"column:bas_medn_flag" json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType   string  `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	HiNegoDrugFlag   string  `gorm:"column:hi_nego_drug_flag" json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	Memo             string  `gorm:"column:memo" json:"memo" form:"memo"`
	FeedetlSn        string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	InscpScpAmt      float64 `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag      string  `gorm:"column:drt_reim_flag" json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ListSpItemFlag   string  `gorm:"column:list_sp_item_flag" json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag     string  `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag      string  `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv        string  `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId        int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId     int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	OrderId          int64   `gorm:"column:order_id" json:"order_id" form:"order_id"`
	ProjectId        int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	ItemId           int64   `gorm:"column:item_id" json:"item_id" form:"item_id"`
}

func (HisHospitalOrderInfo) TableName() string {
	return "his_order_info"
}

type HisPsn struct {
	ID           int64   `gorm:"column:id" json:"id" form:"id"`
	PsnNo        string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Age          float64 `gorm:"column:age" json:"age" form:"age"`
	PatientId    int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Certno       string  `gorm:"column:certno" json:"certno" form:"certno"`
	Brdy         string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Gend         string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty         string  `gorm:"column:naty" json:"naty" form:"naty"`
	PsnCertType  string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	PsnName      string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Idetinfo     string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	Insuinfo     string  `gorm:"column:insuinfo" json:"insuinfo" form:"insuinfo"`
	UserOrgId    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CardInfo     string  `gorm:"column:card_info" json:"card_info" form:"card_info"`
	VerifyNumber string  `gorm:"column:verify_number" json:"verify_number" form:"verify_number"`
}

func (HisPsn) TableName() string {
	return "his_psn"
}
