package models

import "time"

type HisPrescriptionModeTemplate struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Type      int64  `gorm:"column:type" json:"type" form:"type"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Name      string `gorm:"column:name" json:"name" form:"name"`
	Mode      int64  `gorm:"column:mode" json:"mode" form:"mode"`
}

func (HisPrescriptionModeTemplate) TableName() string {
	return "his_prescription_mode_template"
}

type HisPrescriptionInfoModeTemplate struct {
	ID                             int64                                 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                      int64                                 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate                     int64                                 `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId                      int64                                 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Status                         int64                                 `gorm:"column:status" json:"status" form:"status"`
	Ctime                          int64                                 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                          int64                                 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Type                           int64                                 `gorm:"column:type" json:"type" form:"type"`
	Creator                        int64                                 `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                       int64                                 `gorm:"column:modifier" json:"modifier" form:"modifier"`
	PType                          int64                                 `gorm:"column:p_type" json:"p_type" form:"p_type"`
	PTemplateId                    int64                                 `gorm:"column:p_template_id" json:"p_template_id" form:"p_template_id"`
	HisPrescriptionAdviceTemplate  []*HisPrescriptionAdviceModeTemplate  `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"advices"`
	HisPrescriptionProjectTemplate []*HisPrescriptionProjectModeTemplate `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"project"`
	MedType                        string                                `gorm:"column:med_type" json:"med_type" form:"med_type"`
}

func (HisPrescriptionInfoModeTemplate) TableName() string {
	return "his_prescription_info_mode_template"
}

type HisPrescriptionAdviceModeTemplate struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64   `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64 `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string  `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64   `gorm:"column:day" json:"day" form:"day"`
	Diagnosis             int64   `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	HospApprFlag          int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag           int64   `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	PrescriptionModeId    int64   `gorm:"column:prescription_mode_id" json:"prescription_mode_id" form:"prescription_mode_id"`
	Drug                  Drug    `gorm:"ForeignKey:ID;AssociationForeignKey:DrugId" json:"drug"`
}

func (HisPrescriptionAdviceModeTemplate) TableName() string {
	return "his_prescription_advice_mode_template"
}

type HisPrescriptionProjectModeTemplate struct {
	ID                 int64        `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64        `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64      `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64        `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64        `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64        `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64        `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64        `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64        `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Count              string       `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string       `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string       `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string       `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string       `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string       `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string       `gorm:"column:day" json:"day" form:"day"`
	Remark             string       `gorm:"column:remark" json:"remark" form:"remark"`
	Unit               string       `gorm:"column:unit" json:"unit" form:"unit"`
	Type               int64        `gorm:"column:type" json:"type" form:"type"`
	PrescriptionId     int64        `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	XtHisProject       XtHisProject `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"project"`
	GoodInfo           GoodInfo     `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"good_info"`
	FrequencyType      int64        `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount           int64        `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay            string       `gorm:"column:week_day" json:"week_day" form:"week_day"`
}

func (HisPrescriptionProjectModeTemplate) TableName() string {
	return "his_prescription_project_mode_template"
}

type VmHisOrderInfo struct {
	ID                     int64                       `gorm:"column:id" json:"id" form:"id"`
	OrderNumber            string                      `gorm:"column:order_number" json:"order_number" form:"order_number"`
	UploadDate             int64                       `gorm:"column:upload_date" json:"upload_date" form:"upload_date"`
	AdviceId               int64                       `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt       float64                     `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt                    float64                     `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric                   float64                     `gorm:"column:pric" json:"pric" form:"pric"`
	PatientId              int64                       `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PricUplmtAmt           float64                     `gorm:"column:pric_uplmt_amt" json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp            float64                     `gorm:"column:selfpay_prop" json:"selfpay_prop" form:"selfpay_prop"`
	FulamtOwnpayAmt        float64                     `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtAmt             float64                     `gorm:"column:overlmt_amt" json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt          float64                     `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	BasMednFlag            string                      `gorm:"column:bas_medn_flag" json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType         string                      `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	HiNegoDrugFlag         string                      `gorm:"column:hi_nego_drug_flag" json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	Status                 int64                       `gorm:"column:status" json:"status" form:"status"`
	Memo                   string                      `gorm:"column:memo" json:"memo" form:"memo"`
	FeedetlSn              string                      `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Mtime                  int64                       `gorm:"column:mtime" json:"mtime" form:"mtime"`
	InscpScpAmt            float64                     `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag            string                      `gorm:"column:drt_reim_flag" json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime                  int64                       `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ListSpItemFlag         string                      `gorm:"column:list_sp_item_flag" json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag           string                      `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag            string                      `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv              string                      `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId              int64                       `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId           int64                       `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	OrderId                int64                       `gorm:"column:order_id" json:"order_id" form:"order_id"`
	ProjectId              int64                       `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type                   int64                       `gorm:"column:type" json:"type" form:"type"`
	ItemId                 int64                       `gorm:"column:item_id" json:"item_id" form:"item_id"`
	SettleType             int64                       `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	HisPrescriptionProject []*VmHisPrescriptionProject `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"vmproject"`
	HisDoctorAdviceInfo    []*VmHisDoctorAdviceInfo    `gorm:"ForeignKey:ID;AssociationForeignKey:AdviceId" json:"vmadvice"`
}

func (VmHisOrderInfo) TableName() string {
	return "his_order_info"
}

type VmHisPrescriptionProject struct {
	ID                 int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64 `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId     int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              string  `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string  `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string  `gorm:"column:day" json:"day" form:"day"`
	Remark             string  `gorm:"column:remark" json:"remark" form:"remark"`
	Unit               string  `gorm:"column:unit" json:"unit" form:"unit"`
	Type               int64   `gorm:"column:type" json:"type" form:"type"`
	Doctor             int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ExecutionTime      int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff     int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState     int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	CheckTime          int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState         int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	Checker            int64   `gorm:"column:checker" json:"checker" form:"checker"`
	StartTime          int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	TeamId             int64   `gorm:"column:team_id" json:"team_id" form:"team_id"`
	FrequencyType      int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount           int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay            string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
}

func (VmHisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type VmHisDoctorAdviceInfo struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64   `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64 `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string  `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64   `gorm:"column:day" json:"day" form:"day"`
	Diagnosis             int64   `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	HospApprFlag          int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag           int64   `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	Way                   int64   `gorm:"column:way" json:"way" form:"way"`
	Mtime                 int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	AdviceId              int64   `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	IsMedicine            int64   `gorm:"column:is_medicine" json:"is_medicine" form:"is_medicine"`
}

func (VmHisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type GatherHisOrder struct {
	ID                      int64     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId               int64     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId            int64     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate      int64     `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                   int64     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64     `gorm:"column:status" json:"status" form:"status"`
	Number                  string    `gorm:"column:number" json:"number" form:"number"`
	PatientId               int64     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode                 int64     `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg                 string    `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo                  string    `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg                  string    `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime             string    `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid             string    `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus             int64     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId                 string    `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId                  string    `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo                   string    `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName                 string    `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType             string    `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                  string    `gorm:"column:certno" json:"certno" form:"certno"`
	Gend                    string    `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                    string    `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                    time.Time `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Age                     float64   `gorm:"column:age" json:"age" form:"age"`
	Insutype                string    `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType                 string    `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag             string    `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime                string    `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType           string    `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType                 string    `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt            float64   `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt         float64   `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay          float64   `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt           float64   `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt             float64   `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc              float64   `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay                 float64   `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay              float64   `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay         float64   `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay                float64   `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay                float64   `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay                float64   `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay                  float64   `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay                  float64   `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt           float64   `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt              float64   `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay                 float64   `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay              float64   `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt             float64   `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                    float64   `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay           float64   `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId            string    `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins               string    `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay                  string    `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType                 string    `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail              string    `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	PayWay                  int64     `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice                float64   `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo               string    `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice           float64   `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice       float64   `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice            float64   `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice              float64   `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice   float64   `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice            float64   `gorm:"column:private_price" json:"private_price" form:"private_price"`
	IsMedicineInsurance     int64     `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	SettleType              int64     `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime         int64     `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime           int64     `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`
	Creator                 int64     `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                  int64     `gorm:"column:modify" json:"modify" form:"modify"`
	SzChargeInfo            string    `gorm:"column:sz_charge_info" json:"sz_charge_info" form:"sz_charge_info"`
	SzProjectInfo           string    `gorm:"column:sz_project_info" json:"sz_project_info" form:"sz_project_info"`
	SzMedicineInsuranceInfo string    `gorm:"column:sz_medicine_insurance_info" json:"sz_medicine_insurance_info" form:"sz_medicine_insurance_info"`
	AccountPrice            float64   `gorm:"column:account_price" json:"account_price" form:"account_price"`
	MzNumber                string    `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	OrgSetlNumber           string    `gorm:"column:org_setl_number" json:"org_setl_number" form:"org_setl_number"`
	YiliaoNumber            string    `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	RefundLog               string    `gorm:"column:refund_log" json:"refund_log" form:"refund_log"`
	DetailLog               string    `gorm:"column:detail_log" json:"detail_log" form:"detail_log"`
	RequestLog              string    `gorm:"column:request_log" json:"request_log" form:"request_log"`
	RefundRequestLog        string    `gorm:"column:refund_request_log" json:"refund_request_log" form:"refund_request_log"`
	FaPiaoCode              string    `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber            string    `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`
	PType                   int64     `gorm:"column:p_type" json:"p_type" form:"p_type"`
	IsPre                   int64     `gorm:"column:is_pre" json:"is_pre" form:"is_pre"`
	Diagnosis               string    `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	FaPiaoBatchnumberId     int64     `gorm:"column:fa_piao_batchnumber_id" json:"fa_piao_batchnumber_id" form:"fa_piao_batchnumber_id"`
	Decimal                 float64   `gorm:"column:decimal" json:"decimal" form:"decimal"`
}

func (GatherHisOrder) TableName() string {
	return "his_order"
}
